## subread 2.0.7+dfsg

=== debian/changelog ===
subread (2.0.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.7+dfsg
  * typo.patch: refresh.
  * arch_specific_flags.patch: refresh.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:09:35 +0200

subread (2.0.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control: simplify architecture specification by using the
    provisions from the architecture-properties package.
  * d/rules: preserve original mm39_RefSeq_exon.txt.gz to enable
    building twice. Closes: #1049300
  * d/control: update description of subread-data to include the gene
    annotations for both the hh39 and mm39 genomes.
  * d/patches/arch_specific_flags.patch: since -D_FILE_OFFSET_BITS=64 is
    set, use fopen() even on 32-bit systems. Closes: #1069030
    Thanks to blhc "E-pointer-trouble-at-implicit" for pointing this out.
  * d/patches/cross.patch: deleted, as it was unused and incorporated
    into arch_specific_flags.patch by Alexandre Mestiashvili.
  * d/upstream/metadata: add publications, bug info, changelog, link to
    user guide PDF.
  * d/test/control: python3 is needed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 13:38:39 +0300

=== debian/control ===
Source: subread
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: bc <!nocheck>,
               debhelper-compat (= 13),
               architecture-is-little-endian,
               python3 <!nocheck>,
               zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/subread
Vcs-Git: https://salsa.debian.org/med-team/subread.git
Homepage: http://sourceforge.net/projects/subread/
Rules-Requires-Root: no

Package: subread
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: toolkit for processing next-gen sequencing data
 Subread aligner can be used to align both gDNA-seq and RNA-seq reads.
 Subjunc aligner was specified designed for the detection of exon-exon
 junction. For the mapping of RNA-seq reads, Subread performs local
 alignments and Subjunc performs global alignments.

Package: subread-data
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: data files for subread package
 This package provides data files from the original tarball:
  - annotation: Directory including NCBI RefSeq gene annotations for
 genomes 'hg19', 'hg39', 'mm9', 'mm10', and 'mm39'. Each row is an exon.
 Entrez gene identifiers and chromosomal coordinates are provided for
 each exon.
  - test: Directory including test data and scripts.

## subread 2.0.8+dfsg

=== src/longread-one/Makefile ===
CC_EXEC = gcc
OPT_LEVEL = 3

include ../makefile.version
include make.version

CCFLAGS =  ${MACOS} -O${OPT_LEVEL} -Wall  -DMAKE_FOR_EXON  -D MAKE_STANDALONE  -D_FILE_OFFSET_BITS=64 -DSUBREAD_VERSION=\"${SUBREAD_VERSION}\" ${WARNING_LEVEL} ${MINGW32}
LDFLAGS =  -lpthread -lz -lm -O${OPT_LEVEL} -DMAKE_FOR_EXON -D MAKE_STANDALONE # -DREPORT_ALL_THE_BEST
CC = ${CC_EXEC}  ${CCFLAGS}  -fmessage-length=0  -ggdb

ALL_LIBS=LRMsorted-hashtable LRMbase-index LRMchro-event LRMhelper LRMseek-zlib LRMfile-io LRMhashtable
ALL_OBJECTS=$(addsuffix .o, ${ALL_LIBS})
ALL_H=$(addsuffix .h, ${ALL_LIBS})
ALL_C=$(addsuffix .c, ${ALL_LIBS})


all: $(ALL_OBJECTS) LRM

clean:
	rm -f *.o LRM

LRM: longread-mapping.c  ${ALL_OBJECTS} 
	${CC} -o LRM longread-mapping.c   ${ALL_OBJECTS}  ${LDFLAGS}

$(ALL_OBJECTS): $(ALL_C) $(ALL_H)
	$(CC) -o $@ -c $(subst .o,.c,$@)

=== debian/changelog ===
subread (2.0.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.8+dfsg
  * d/control: declare compliance to standards version 4.7.2.
  * typo.patch: unfuzz.
  * 2to3.patch: normalise Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Mar 2025 14:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                architecture-is-little-endian,
                python3 <!nocheck>,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/subread
 Vcs-Git: https://salsa.debian.org/med-team/subread.git
 Homepage: http://sourceforge.net/projects/subread/

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
    CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
        CFLAGS += -mtune=generic -msse3
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
        CFLAGS += -D KFREEBSD
endif

%:
	dh $@ --buildsystem=makefile

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/subread-align/data/test-err-mut-r1.fq.gz test/subread-align/data/test-err-mut-r2.fq.gz
	rm -rf bin src/longread-one/make.version
	find . -name "*.o" -delete
	dh_auto_clean --sourcedirectory=src -- -f Makefile.Linux

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src -- -f Makefile.Linux CC=$(CC) ; \

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/tests/subread-tests $(CURDIR)
endif

override_dh_auto_install:
#fix for gzip-file-is-not-multi-arch-same-safe
	cp annotation/mm39_RefSeq_exon.txt.gz debian/mm39_RefSeq_exon.txt.gz.orig
	find $(CURDIR) -name "*.gz" -exec bash -c 'name="{}"; gzip -d "{}"; gzip -n "$${name%.*}"' \;
	dh_auto_install
	mv debian/mm39_RefSeq_exon.txt.gz.orig annotation/mm39_RefSeq_exon.txt.gz

override_dh_installexamples-indep:
	tar --sort=name \
            --mtime="@${SOURCE_DATE_EPOCH}" \
            --owner=root --group=root --numeric-owner \
            --mode=go=rX,u+rw,a-s \
            -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/

=== debian/tests/control ===
Tests: subread-tests
Depends: @, python3
Restrictions: allow-stderr
